# MatlabInfo Class Reference

`#include <matlabinfo.hpp>`

List of all members.

## Public Member Functions
| MatlabInfo (mxArray *&ptr)
| ~MatlabInfo ()
ApplicationReturnStatus | getExitStatus () const
void | setExitStatus (ApplicationReturnStatus status)
void | setIterationCount (int iter)
void | setFuncEvals (int obj, int con, int grad, int jac, int hess)
void | setCpuTime (double cpu)
const double * | getmultlb () const
const double * | getmultub () const
const double * | getmultconstr () const
void | setmultlb (int n, const double *zl)
void | setmultub (int n, const double *zu)
void | setmultconstr (int m, const double *lambda)
## Protected Attributes
mxArray * | ptr

## Detailed Description

Definition at line 21 of file matlabinfo.hpp.

## Constructor & Destructor Documentation

MatlabInfo::MatlabInfo | ( | mxArray *& | ptr | ) | `[explicit]`

MatlabInfo::~MatlabInfo | ( |  | ) | `[inline]`

Definition at line 33 of file matlabinfo.hpp.

## Member Function Documentation

ApplicationReturnStatus MatlabInfo::getExitStatus | ( |  | ) | const

void MatlabInfo::setExitStatus | ( | ApplicationReturnStatus | status | ) |

void MatlabInfo::setIterationCount | ( | int | iter | ) |

void MatlabInfo::setFuncEvals | ( | int | obj,
|  | int | con,
|  | int | grad,
|  | int | jac,
|  | int | hess |
| ) |  |  |

void MatlabInfo::setCpuTime | ( | double | cpu | ) |

const double* MatlabInfo::getmultlb | ( |  | ) | const

const double* MatlabInfo::getmultub | ( |  | ) | const

const double* MatlabInfo::getmultconstr | ( |  | ) | const

void MatlabInfo::setmultlb | ( | int | n,
|  | const double * | zl |
| ) |  |  |

void MatlabInfo::setmultub | ( | int | n,
|  | const double * | zu |
| ) |  |  |

void MatlabInfo::setmultconstr | ( | int | m,
|  | const double * | lambda |
| ) |  |  |

## Member Data Documentation

mxArray* MatlabInfo::ptr`[protected]`

Definition at line 51 of file matlabinfo.hpp.

The documentation for this class was generated from the following file:

- contrib/MatlabInterface/src/matlabinfo.hpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines